﻿.menu-sidebar {
    width: 200px;
    gap: 10vh;
    margin-top: 15vh;
}

.menu {
    top: 0;
    left: 0;
    background: var(--primary-color);
    -webkit-animation: fillFromLeft;
    -o-animation: fillFromLeft;
    animation: fillFromLeft .75s;
    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
}

.b-0 {
    bottom: 0;
}

.l-0 {
    left: 0;
}

.socials {
    display: flex;
    justify-content: flex-end;
    margin: 10px;
}

.socials > button {
    margin-left: 3vw;
    border: none;
    background-color: transparent;
}

.socials > button > img {
    max-width: 50px;
}

.raise:hover {
    transform: translateY(-0.25em);
    transition-duration: .3s;
}

.raise:hover > img {
    opacity: 50%;
}

.raise {
    transition-duration: .2s;
}

@keyframes fillFromLeft {
    0% {
        transform: translateX(-100%);
    }
    
    100% {
        transform: translateX(0%);
    }
}